Core - Create external agent
curl --request POST \
--url 'https://my.orq.ai/v2/agents/external' \
--header "Authorization: Bearer $ORQ_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"key": "support_agent",
"display_name": "Support Agent",
"description": "External support specialist",
"path": "/agents/support-agent",
"agent_url": "https://agents.example.com/a2a",
"headers": {
"Authorization": {"value": "Bearer secret", "encrypted": true}
}
}'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.agents.external.create({
key: 'support_agent',
displayName: 'Support Agent',
description: 'External support specialist',
path: '/agents/support-agent',
agentUrl: 'https://agents.example.com/a2a',
headers: {
Authorization: { value: 'Bearer secret', encrypted: true },
},
});
console.log(result.agent.agentId, result.agent.protocolVersion);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.agents.external.create(
key="support_agent",
display_name="Support Agent",
description="External support specialist",
path="/agents/support-agent",
agent_url="https://agents.example.com/a2a",
headers={
"Authorization": {"value": "Bearer secret", "encrypted": True},
},
)
print(result.agent.agent_id, result.agent.protocol_version)
{
"agent": {
"agent_id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"path": "<string>",
"project_id": "<string>",
"agent_url": "<string>",
"headers": {},
"protocol_version": "<string>",
"preferred_transport": "<string>",
"cached_card": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"version": "<string>",
"card_url": "<string>",
"card_refreshed_at": "2023-11-07T05:31:56Z"
}
}External Agents
Create external agent
Registers an external A2A agent after securely fetching and validating its agent card.
POST
/
v2
/
agents
/
external
Core - Create external agent
curl --request POST \
--url 'https://my.orq.ai/v2/agents/external' \
--header "Authorization: Bearer $ORQ_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"key": "support_agent",
"display_name": "Support Agent",
"description": "External support specialist",
"path": "/agents/support-agent",
"agent_url": "https://agents.example.com/a2a",
"headers": {
"Authorization": {"value": "Bearer secret", "encrypted": true}
}
}'
import { Orq } from '@orq-ai/node';
const client = new Orq({
apiKey: process.env.ORQ_API_KEY,
});
const result = await client.agents.external.create({
key: 'support_agent',
displayName: 'Support Agent',
description: 'External support specialist',
path: '/agents/support-agent',
agentUrl: 'https://agents.example.com/a2a',
headers: {
Authorization: { value: 'Bearer secret', encrypted: true },
},
});
console.log(result.agent.agentId, result.agent.protocolVersion);
import os
from orq_ai_sdk import Orq
client = Orq(api_key=os.environ["ORQ_API_KEY"])
result = client.agents.external.create(
key="support_agent",
display_name="Support Agent",
description="External support specialist",
path="/agents/support-agent",
agent_url="https://agents.example.com/a2a",
headers={
"Authorization": {"value": "Bearer secret", "encrypted": True},
},
)
print(result.agent.agent_id, result.agent.protocol_version)
{
"agent": {
"agent_id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"path": "<string>",
"project_id": "<string>",
"agent_url": "<string>",
"headers": {},
"protocol_version": "<string>",
"preferred_transport": "<string>",
"cached_card": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"version": "<string>",
"card_url": "<string>",
"card_refreshed_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?